www.cendio.com

Bug 4759

Summary: Support for keys such as Escape, Tab, Control, Alt on mobile devices
Product: ThinLinc Reporter: Peter ├ůstrand <astrand@cendio.se>
Component: Web AccessAssignee: Samuel Mannehed <samuel@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Enhancement    
Priority: P2 CC: aaron@cendio.se
Version: trunkKeywords: aaron_tester, relnotes
Target Milestone: 4.1.1   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:

Description From cendio 2013-07-22 15:36:01
From:

http://lists.cendio.se/pipermail/thinlinc-technical/2013-July/000351.html

"Is there a plan to integrate the tab key, cursor keys, esc, etc. also in 
this HTML5 client as it is integrated in ssh tools like iSSH 
(http://www.zinger-soft.com/iSSH_features.html)?"

Also, I tested with our physical Target Bluetooth keyboard today. It doesn't
work either, except for the Tab key. 

At least on the iPad, there's plenty of room in the control bar for extra
buttons, so we should be able to implement this.
------- Comment #1 From cendio 2013-07-25 16:35:32 -------
Fixed in revision 27730.
------- Comment #2 From cendio 2013-08-29 17:49:32 -------
Updated in revision 27817.
------- Comment #3 From cendio 2013-08-30 16:13:46 -------
Additional update in revision 27819.
------- Comment #4 From cendio 2013-10-15 16:13:57 -------
CTRL, ALT, TAB and ESC all work fine using the GUI buttons. I think this is
good enough to close the bug.

Perhaps worth noting is that none of these keys (except tab) work with an
attached bluetooth keyboard on the iPad. xev gives no output, so I guess
they're being captured/ignored by iOS. Pressing ESC exits to iOS's main menu
screen for example. I'm not sure there's much we can do about this ATM, so
closing.